/**
 * RoleClassTerritoryOfAuthority.java
 *
 * File generated from the medication::RoleClassTerritoryOfAuthority uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassTerritoryOfAuthority.
 *
 */

@XmlType(name = "RoleClassTerritoryOfAuthority")
@XmlEnum
@XmlRootElement(name = "RoleClassTerritoryOfAuthority")
public enum RoleClassTerritoryOfAuthority {
	@XmlEnumValue("TERR")
	TERR("TERR");
	
	private final String value;

    RoleClassTerritoryOfAuthority(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassTerritoryOfAuthority fromValue(String v) {
        for (RoleClassTerritoryOfAuthority c: RoleClassTerritoryOfAuthority.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}